data.raw["item"]["logistic-robot"].subgroup = "LogiRobots"
data.raw["item"]["construction-robot"].subgroup = "ConsiRobots"
data.raw["item"]["roboport"].subgroup = "Ports"
data.raw["item"]["logistic-robot"].order = "a"
data.raw["item"]["construction-robot"].order = "a"
data.raw["item"]["roboport"].order = "a"

data:extend
(
{
 {
  type = "item",
  name = "extender",
  icon = "__base__/graphics/icons/roboport.png",
  flags = {"goes-to-quickbar"},
  subgroup = "Ports",
  order = "b",
  place_result = "extender",
  stack_size = 5
 },
 {
  type = "item",
  name = "consi-port",
  icon = "__ExtendedRobotic__/graphics/consi-port-i.png",
  flags = {"goes-to-quickbar"},
  subgroup = "Ports",
  order = "c",
  place_result = "consi-port",
  stack_size = 5
 },
 {
  type = "item",
  name = "logistic-robot-speed",
  icon = "__base__/graphics/icons/logistic-robot.png",
  flags = {"goes-to-quickbar"},
  subgroup = "LogiRobots",
  order = "b",
  place_result = "logistic-robot-speed",
  stack_size = 50
 },
 {
  type = "item",
  name = "logistic-robot-cargo",
  icon = "__base__/graphics/icons/logistic-robot.png",
  flags = {"goes-to-quickbar"},
  subgroup = "LogiRobots",
  order = "c",
  place_result = "logistic-robot-cargo",
  stack_size = 50
 },
 {
  type = "item",
  name = "logistic-robot-effec",
  icon = "__base__/graphics/icons/logistic-robot.png",
  flags = {"goes-to-quickbar"},
  subgroup = "LogiRobots",
  order = "d",
  place_result = "logistic-robot-effec",
  stack_size = 50
 },
 {
  type = "item",
  name = "construction-robot-speed",
  icon = "__base__/graphics/icons/construction-robot.png",
  flags = {"goes-to-quickbar"},
  subgroup = "ConsiRobots",
  order = "b",
  place_result = "construction-robot-speed",
  stack_size = 50
 },
 {
  type = "item",
  name = "construction-robot-cargo",
  icon = "__base__/graphics/icons/construction-robot.png",
  flags = {"goes-to-quickbar"},
  subgroup = "ConsiRobots",
  order = "c",
  place_result = "construction-robot-cargo",
  stack_size = 50
 },
 {
  type = "item",
  name = "construction-robot-effec",
  icon = "__base__/graphics/icons/construction-robot.png",
  flags = {"goes-to-quickbar"},
  subgroup = "ConsiRobots",
  order = "d",
  place_result = "construction-robot-effec",
  stack_size = 50
 },
}
)