data.raw["technology"]["logistic-robot-speed-1"].effects = {{type = "logistic-robot-speed", modifier = 0.25}}
data.raw["technology"]["logistic-robot-speed-2"].effects = {{type = "logistic-robot-speed", modifier = 0.50}}
data.raw["technology"]["logistic-robot-speed-3"].effects = {{type = "logistic-robot-speed", modifier = 0.75}}
data.raw["technology"]["logistic-robot-speed-4"].effects = {{type = "logistic-robot-speed", modifier = 1.00}}
data.raw["technology"]["logistic-robot-speed-5"].effects = {{type = "logistic-robot-speed", modifier = 1.25}}

data:extend
(
{
 {
  type = "technology",
  name = "character-logistic-slots-5",
  icon = "__base__/graphics/technology/character-logistic-slots.png",
  effects =
  {
   {
    type = "character-logistic-slots",
    modifier = 5
   }
  },
  prerequisites = {"character-logistic-slots-4"},
  unit =
  {
   count = 200,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
    {"alien-science-pack", 1}
   },
   time = 30
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-4",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-3"},
  effects = 
  {
   {
	type = "logistic-robot-storage",
	modifier = "1"
   }
  },
  unit = 
  {
   count = 500,
   ingredients =
   {
	{"science-pack-1", 1},
	{"science-pack-2", 1},
	{"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-5",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-4"},
  effects = 
  {
   {
	type = "logistic-robot-storage",
	modifier = "1"
   }
  },
  unit =
  {
   count = 550,
   ingredients =
   {
	{"science-pack-1", 1},
	{"science-pack-2", 1},
	{"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-6",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-5"},
  effects =
  {
   {
    type = "logistic-robot-storage",
    modifier = "1"
   }
  },
  unit =
  {
   count = 600,
   ingredients =
   {
   	{"science-pack-1", 1},
	{"science-pack-2", 1},
	{"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-7",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-6"},
  effects =
  {
   {
    type = "logistic-robot-storage",
	modifier = "1"
   }
  },
  unit = 
  {
   count = 650,
   ingredients =
   {
	{"science-pack-1", 1},
	{"science-pack-2", 1},
    {"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-8",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-7"},
  effects =
  {
   {
    type = "logistic-robot-storage",
	modifier = "1"
   }
  },
  unit = 
  {
   count = 700,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
    {"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-9",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-8"},
  effects =
  {
   {
	type = "logistic-robot-storage",
	modifier = "1"
   }
  },
  unit = 
  {
   count = 750,
   ingredients =
   {
	{"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-storage-10",
  icon = "__base__/graphics/technology/logistic-robot-storage.png",
  prerequisites = {"logistic-robot-storage-9"},
  effects =
  {
   {
    type = "logistic-robot-storage",
	modifier = "1"
   }
  },
  unit =
  {
   count = 800,
   ingredients =
   {
	{"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
    {"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-speed-6",
  icon = "__base__/graphics/technology/logistic-robot-speed.png",
  prerequisites = {"logistic-robot-speed-5"},
  effects =
  {
   {
    type = "logistic-robot-speed",
    modifier = "1.50"
   }
  },
  unit =
  {
   count = 600,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-speed-7",
  icon = "__base__/graphics/technology/logistic-robot-speed.png",
  prerequisites = {"logistic-robot-speed-6"},
  effects =
  {
   {
    type = "logistic-robot-speed",
    modifier = "1.75"
   }
  },
  unit =
  {
   count = 700,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
	{"alien-science-pack", 1},
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-speed-8",
  icon = "__base__/graphics/technology/logistic-robot-speed.png",
  prerequisites = {"logistic-robot-speed-7"},
  effects =
  {
   {
    type = "logistic-robot-speed",
    modifier = "2.00"
   }
  },
  unit =
  {
   count = 800,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-speed-9",
  icon = "__base__/graphics/technology/logistic-robot-speed.png",
  prerequisites = {"logistic-robot-speed-8"},
  effects =
  {
   {
    type = "logistic-robot-speed",
    modifier = "2.25"
   }
  },
  unit = 
  {
   count = 900,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
    {"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "logistic-robot-speed-10",
  icon = "__base__/graphics/technology/logistic-robot-speed.png",
  prerequisites = {"logistic-robot-speed-9"},
  effects =
  {
   {
    type = "logistic-robot-speed",
    modifier = "2.50"
   }
  },
  unit =
  {
   count = 1000,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
    {"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "character-logistic-trash-slots-3",
  icon = "__base__/graphics/technology/character-logistic-trash-slots.png",
  prerequisites = {"character-logistic-trash-slots-2"},
  effects = 
  {
   {
    type = "character-logistic-trash-slots",
    modifier = 5
   }
  },
  unit =
  {
   count = 100,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
	{"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 30
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "character-logistic-trash-slots-4",
  icon = "__base__/graphics/technology/character-logistic-trash-slots.png",
  prerequisites = {"character-logistic-trash-slots-3"},
  effects =
  {
   {
    type = "character-logistic-trash-slots",
    modifier = 5
   }
  },
  unit =
  {
   count = 200,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
	{"science-pack-3", 1},
	{"alien-science-pack", 1}
   },
   time = 30
  },
  upgrade = true
 },
 {
  type = "technology",
  name = "extendedrobotic",
  icon = "__base__/graphics/icons/roboport.png",
  prerequisites = {"construction-robotics", "logistic-robotics", "logistic-system", "speed-module", "productivity-module", "effectivity-module"},
  effects = 
  {
   {
    type = "unlock-recipe",
    recipe = "extender"
   },
   {
    type = "unlock-recipe",
    recipe = "consi-port"
   },
   {
    type = "unlock-recipe",
    recipe = "logistic-robot-speed"
   },
   {
    type = "unlock-recipe",
    recipe = "logistic-robot-cargo"
   },
   {
    type = "unlock-recipe",
    recipe = "logistic-robot-effec"
   },
   {
    type = "unlock-recipe",
    recipe = "construction-robot-speed"
   },
   {
    type = "unlock-recipe",
    recipe = "construction-robot-cargo"
   },
   {
    type = "unlock-recipe",
    recipe = "construction-robot-effec"
   },
  },
  unit =
  {
   count = 300,
   ingredients =
   {
    {"science-pack-1", 2},
    {"science-pack-2", 2},
	{"science-pack-3", 2},
	{"alien-science-pack", 3}
   },
   time = 30
  },
  upgrade = true
 },
}
)